Skip to content

List existing jail root datasets

GET
/jail/zfs-sources
curl --request GET \
--url https://sylve.lan:8181/api/jail/zfs-sources \
--header 'Authorization: <Authorization>'

List mounted, self-contained external ZFS roots without modifying their contents

Success

Media typeapplication/json
object
data
Array<object>
object
available
integer
compressratio
number
createtxg
string
guid
string
mountpoint
string
name
string
pool
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
referenced
integer
type
string
Allowed values: ALL FILESYSTEM VOLUME SNAPSHOT
used
integer
error
string
message
string
status
string
Example
{
"data": [
{
"type": "ALL"
}
]
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Service Unavailable

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}